Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class ExpressionEvaluatorImpl

    java.lang.Object
      javax.servlet.jsp.el.ExpressionEvaluator
          org.apache.jasper.runtime.ExpressionEvaluatorImpl

    public class ExpressionEvaluatorImpl

extends ExpressionEvaluator

This is the implementation of ExpreesioEvaluator using implementation of JSP2.1.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Kin-man Chung

Constructor Summary
`ExpressionEvaluatorImpl(PageContext pageContext)` Constructor

Method Summary
`Object` | `evaluate(String expression, Class expectedType, VariableResolver vResolver, FunctionMapper fMapper)` Evaluates an expression.
`Expression` | `parseExpression(String expression, Class expectedType, FunctionMapper fMapper)` Prepare an expression for later evaluation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionEvaluatorImpl

    public ExpressionEvaluatorImpl(PageContext pageContext)

  Constructor

Method Detail

### parseExpression

    public Expression parseExpression(String expression,
                                      Class expectedType,
                                      FunctionMapper fMapper)
                               throws ELException

  Description copied from class: `ExpressionEvaluator`
  Prepare an expression for later evaluation. This method should perform syntactic validation of the expression; if in doing so it detects errors, it should raise an ELParseException.

  Specified by:
    `parseExpression` in class `ExpressionEvaluator`
  Parameters:
    `expression` - The expression to be evaluated.
    `expectedType` - The expected type of the result of the evaluation
    `fMapper` - A FunctionMapper to resolve functions found in the expression. It can be null, in which case no functions are supported for this invocation. The ExpressionEvaluator must not hold on to the FunctionMapper reference after returning from `parseExpression()`. The `Expression` object returned must invoke the same functions regardless of whether the mappings in the provided `FunctionMapper` instance change between calling `ExpressionEvaluator.parseExpression()` and `Expression.evaluate()`.
  Returns:
    The Expression object encapsulating the arguments.
  Throws:
    `ELException` - Thrown if parsing errors were found.

### evaluate

    public Object evaluate(String expression,
                           Class expectedType,
                           VariableResolver vResolver,
                           FunctionMapper fMapper)
                    throws ELException

  Description copied from class: `ExpressionEvaluator`
  Evaluates an expression. This method may perform some syntactic validation and, if so, it should raise an ELParseException error if it encounters syntactic errors. EL evaluation errors should cause an ELException to be raised.

  Specified by:
    `evaluate` in class `ExpressionEvaluator`
  Parameters:
    `expression` - The expression to be evaluated.
    `expectedType` - The expected type of the result of the evaluation
    `vResolver` - A VariableResolver instance that can be used at runtime to resolve the name of implicit objects into Objects.
    `fMapper` - A FunctionMapper to resolve functions found in the expression. It can be null, in which case no functions are supported for this invocation.
  Returns:
    The result of the expression evaluation.
  Throws:
    `ELException` - Thrown if the expression evaluation failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.